Subject: Approved list of users and groups for x2goserver

From: Dan MacDonald <[email-masked]>
Date: Tue, 8 Sep 2020 16:23:45 +0100

Package: x2goserver
Version: 4.1.0.3

I have a Ubuntu server for which I want to allow all users SSH access
but only grant x2go access to a specific few users so I would like the
ability to be able to whitelist users and groups for x2goserver.

Using the current x2goserver config it seems I am required to add all
of the users that I don't want to grant x2go access to into a group
then configure that group so they cannot create any x2go sessions.

I would like to see x2goserver allow all ssh users by default but if there is a

[Allow]

Section in the x2goserver config file then only the specified users or
groups can login via x2go.